Last Comment Bug 182500 - [1.2 branch] parser bugs due to bug 167493
: [1.2 branch] parser bugs due to bug 167493
Status: RESOLVED FIXED
: meta
Product: Core
Classification: Components
Component: HTML: Parser (show other bugs)
: Other Branch
: All All
: P1 blocker (vote)
: mozilla1.2final
Assigned To: David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
: Moied
Mentors:
: 184236 (view as bug list)
Depends on:
Blocks: 181729 182154 182155 182253 182268 182282 182292 182302 182315 182317 182348 182418 182433 182441 182442 182449 182477 182482 182498 182511 182515 182541 182601 182605 182608 182626 182639 182691 182760 182790 182793 182914 183179
  Show dependency treegraph
 
Reported: 2002-11-28 07:02 PST by David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
Modified: 2011-08-05 21:34 PDT (History)
29 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Also with 1.2.1 bug visible, yet; (offsetWidth-bug avoided) (3.22 KB, text/plain)
2002-12-03 08:23 PST, R.N.Gimmel
no flags Details
practical example (4.01 KB, text/html)
2002-12-03 10:04 PST, R.N.Gimmel
no flags Details

Description David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2002-11-28 07:02:57 PST
This is a meta-bug whose dependencies will be problems caused by the incorrect
backout described in bug 167493 comment 21.  Some of these bugs have been
reported as Windows-only, but I've also been able to reproduce them on a gcc
3.2.1 Linux build with -O2.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2002-11-28 07:38:47 PST
I've corrected the backout on the 1.2 branch (although I admit I only tested the
change on the trunk, but I did the backout by backing out the backout with cvs
up -j<X> -j<Y> and then backing out the original checkin the same way).  It
remains to be seen what (if anything) we'll do with the 1.2 release.
Comment 2 Malcolm Rowe 2002-11-28 08:26:05 PST
We may have to do something with the 1.2 branch anyway.  Some of the checkins 
to the 1.2 branch disappeared from the 1.2 release - see bug 182506.
Comment 3 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2002-11-28 09:07:16 PST
I think I've gone through all the Browser bugs filed between the 1.2 release and
now (mostly by just skimming bug summaries), and added all the relevant
dependencies.  However, bug 182317 and bug 182433 are probably also dependencies
of this bug, but I didn't add them since I'm not sure.
Comment 4 Phil Schwartau 2002-11-28 13:21:45 PST
Note I've added this bug as a dependency:

bug 182253, "document.write() eats initial characters in 1.2"

It explains why so many sites with DHTML menus are being hit by the
current bug. The sites are using document.write() to create them -
Comment 5 Dawn Endico 2002-11-29 16:50:58 PST
I removed links to 1.2 from the releases page and the home page, and announced
the release of 1.2.1 when we have a correct tag and new builds. Since this
happened on a 4 day holiday weekend the new release may not happen till
Monday.
Comment 6 Bryan 2002-11-29 17:28:14 PST
Hi,
Yes I did see it happen in that relase but somebody beated me to the punch.
Are you giong to remove it form the ftp://ftp.mozilla.org/pub/mozilla/realses
page or you going to keep it there for people to download and test this problem.
IF you can e-mail me wiht that info that will be great I will like to see still
on there for the people who want to take risks like me.
Comment 7 Asa Dotzler [:asa] 2002-11-29 20:10:32 PST
We're not talking about a security exploit or even major dataloss here. I see no
need to re-write history. The 1.2 release will stay where it is. 

This bug is likely to see some traffic. I'm taking this oportunity to ask all of
you folks that read about this bug at mozillazine or slashdot or wherever to not
comment. Unless you're actually working on this problem your comments will only
get in the way. Thanks.
Comment 8 Nicolas Pioch 2002-11-30 08:41:58 PST
cf bug 182506 comment 7
Comment 9 Manko 2002-12-01 23:28:19 PST
Nominating bug 182460 for 1.2.1
Comment 10 Eugene Savitsky 2002-12-03 01:56:41 PST
Should all depencies by resolved as Fixed since 1.2.1 is out?
Comment 11 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2002-12-03 07:45:58 PST
I have marked all but one of the dependencencies of this bug as fixed, since I
tested that they were fixed by the patch that was the change between 1.2 and
1.2.1 when I added them to the dependency tree.  (I tested the bugs others added
as well.)  The one I left out was bug 182433, since the site is unreachable for me.

Marking this bug fixed as well, since it is fixed in the release of mozilla 1.2.1.
Comment 12 R.N.Gimmel 2002-12-03 08:23:35 PST
Created attachment 108034 [details]
Also with 1.2.1 bug visible, yet; (offsetWidth-bug avoided)

There is a <div id="SLIDE">&nbsp;</div> on the page INTRO.htm
The a.m. JavaScript works fine for MSIE > 4.01, Navigator4 (special case),
Mozilla > 0.99 but NOT Mozilla 1.2 NOR 1.2.1 !!
Comment 13 R.N.Gimmel 2002-12-03 10:04:43 PST
Created attachment 108049 [details]
practical example

Completing the previous comment, you may view the site
 http://www.telstar.int.tf
(2nd page) with Mozilla 1.0.1 and 1.2.1
Comment 14 Matthias Versen [:Matti] 2002-12-03 10:26:24 PST
R.N.Gimmel: It's a different bug if you see this with 1.2.1
Comment 15 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2002-12-08 09:10:04 PST
*** Bug 184236 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.